vigra - StandAloneAccumulatorChain< N, T, SELECT > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StandAloneAccumulatorChain< N, T, SELECT > Class Template Reference |

Create an accumulator chain that works independently of a MultiArray. More...

`#include <vigra/accumulator.hxx>`

Inheritance diagram for StandAloneAccumulatorChain< N, T, SELECT >:

## Additional Inherited Members
Public Member Functions inherited from AccumulatorChain< CoupledHandleType< N, T >::type, SELECT >
void | merge (AccumulatorChainImpl const &o)
void | operator+= (AccumulatorChainImpl const &o)
unsigned int | passesRequired () const
void | reset (unsigned int reset_to_pass=0)
void | reshape (TinyVector< U, N > const &s)
void | setCoordinateOffset (SHAPE const &offset)
void | setHistogramOptions (HistogramOptions const &options)
void | updatePassN (CoupledHandleType< N, T >::typeconst &t, unsigned int N)
void | updatePassN (CoupledHandleType< N, T >::typeconst &t, double weight, unsigned int N)
Static Public Member Functions inherited from AccumulatorChain< CoupledHandleType< N, T >::type, SELECT >
static ArrayVector < std::string > const & | tagNames ()

## Detailed Description

### template<unsigned int N, class T, class SELECT>
class vigra::acc::StandAloneAccumulatorChain< N, T, SELECT >

Create an accumulator chain that works independently of a MultiArray.

Instead of a CoupledHandle (the internal type of the MultiArray iterator), you simply pass a data item of type T and a coordinate object of size N (`MultiArrayShape<N>::type`) explicitly.

Usage:

typedef double DataType;
const int dim = 3;
StandAloneAccumulatorChain<dim, DataType, Select<Variance, Mean, Minimum, ...> > accumulator;
int pass = 1;
for( all items )
{
typename MultiArrayShape<dim>::type coord = ...;
DataType value = ...;
accumulator.updatePassN(value, coord, pass);
}

See Feature Accumulators for more information and examples of use.

The documentation for this class was generated from the following file:

- vigra/accumulator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)